com.jscape.inet.mft.audit.reporting.metricses

## Class TopMetricsBase

- java.lang.Object
- - com.jscape.inet.mft.audit.reporting.metricses.TopMetricsBase

-     public class TopMetricsBase
      extends java.lang.Object

  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TopMetricsBase.DescendingComparator` Descending comparator.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopMetricsBase()`
    `TopMetricsBase(java.util.Map<java.lang.String,NamedEntry> entries)`
    `TopMetricsBase(TopMetricsBase that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NamedEntry[]` | `getEntries()`
    `NamedEntry` | `getEntry(java.lang.String name)`
    `java.lang.String[]` | `getKeys()` Returns an array of keys sorted by values descending.
    `long` | `getValue(java.lang.String key)` Return the value for the provided key.
    `void` | `incrementEntry(java.lang.String name)`
    `void` | `reset()`
    `void` | `setEntries(NamedEntry[] entries)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopMetricsBase

          public TopMetricsBase(java.util.Map<java.lang.String,NamedEntry> entries)

    - #### TopMetricsBase

          public TopMetricsBase()

    - #### TopMetricsBase

          public TopMetricsBase(TopMetricsBase that)

  - ### Method Detail

    - #### getEntries

          public NamedEntry[] getEntries()

    - #### setEntries

          public void setEntries(NamedEntry[] entries)

    - #### reset

          public void reset()

    - #### getKeys

          public java.lang.String[] getKeys()

      Returns an array of keys sorted by values descending.
      Returns:
        an array of keys

    - #### getValue

          public long getValue(java.lang.String key)

      Return the value for the provided key.
      Parameters:
        `key` - the key
      Returns:
        the value for the provided key
      Throws:
        `java.lang.IllegalArgumentException` - if no value for this key

    - #### getEntry

          public NamedEntry getEntry(java.lang.String name)

    - #### incrementEntry

          public void incrementEntry(java.lang.String name)

Copyright © JSCAPE LLC. 1999-2020. All Rights Reserved